Package com.ads.api.beans.sm

# Class SMIndex

java.lang.Object
com.ads.api.beans.sm.SMIndex

public class SMIndex extends Object
The SMIndex class contains several useful class fields and methods related to SMIndex. These methods used for setting data to the current object and getting data from the current object .

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMIndex()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addColumn(SMColumn column)`
  Adds the SMColumn as specified.
  `SMColumn`
  `getColumn(String columnName)`
  Returns the SMColumn object.
  `Collection<SMColumn>`
  `getColumns()`
  Returns the Collection of SMColumn objects.
  `int`
  `getId()`
  Returns the id of the Index.
  `String`
  `getName()`
  Returns the name of the Index.
  `int`
  `getOrdinalPosition()`
  Returns the ordinalPosition of the Index.
  `String`
  `getOwner()`
  Returns the owner of the Index.
  `String`
  `getSortOrder()`
  Returns the sortOrder of the Index.
  `int`
  `getTableId()`
  Returns the tableId of the Index.
  `String`
  `getType()`
  Returns the type of the Index.
  `String`
  `getUniqueness()`
  Returns the uniqueness of the Index.
  `void`
  `setColumns(List<SMColumn> columns)`
  Adds the list of SMColumn objects as specified.
  `void`
  `setId(int id)`
  Method sets the id to the Index object as specified.
  `void`
  `setName(String name)`
  Method sets the name to the Index object as specified.
  `void`
  `setOrdinalPosition(int ordinalPosition)`
  Method sets the ordinalPosition to the Index object as specified.
  `void`
  `setOwner(String owner)`
  Method sets the owner to the Index object as specified.
  `void`
  `setSortOrder(String sortOrder)`
  Method sets the sortOrder to the Index object as specified.
  `void`
  `setTableId(int tableId)`
  Method sets the tableId to the Index object as specified.
  `void`
  `setType(String type)`
  Method sets the type to the Index object as specified.
  `void`
  `setUniqueness(String uniqueness)`
  Method sets the uniqueness to the Index object as specified.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SMIndex

    public SMIndex()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the Index.
    Returns:
      id int.

  - ### setId

    public void setId(int id)
    Method sets the id to the Index object as specified.
    Parameters:
      `id` - int

  - ### getTableId

    public int getTableId()
    Returns the tableId of the Index.
    Returns:
      tableId int.

  - ### setTableId

    public void setTableId(int tableId)
    Method sets the tableId to the Index object as specified.
    Parameters:
      `tableId` - int

  - ### getOwner

    public String getOwner()
    Returns the owner of the Index.
    Returns:
      owner String.

  - ### setOwner

    public void setOwner(String owner)
    Method sets the owner to the Index object as specified.
    Parameters:
      `owner` - String

  - ### getName

    public String getName()
    Returns the name of the Index.
    Returns:
      name String.

  - ### setName

    public void setName(String name)
    Method sets the name to the Index object as specified.
    Parameters:
      `name` - String

  - ### getType

    public String getType()
    Returns the type of the Index.
    Returns:
      type String.

  - ### setType

    public void setType(String type)
    Method sets the type to the Index object as specified.
    Parameters:
      `type` - String

  - ### getUniqueness

    public String getUniqueness()
    Returns the uniqueness of the Index.
    Returns:
      uniqueness String.

  - ### setUniqueness

    public void setUniqueness(String uniqueness)
    Method sets the uniqueness to the Index object as specified.
    Parameters:
      `uniqueness` - String

  - ### getSortOrder

    public String getSortOrder()
    Returns the sortOrder of the Index.
    Returns:
      sortOrder String.

  - ### setSortOrder

    public void setSortOrder(String sortOrder)
    Method sets the sortOrder to the Index object as specified.
    Parameters:
      `sortOrder` - String

  - ### getOrdinalPosition

    public int getOrdinalPosition()
    Returns the ordinalPosition of the Index.
    Returns:
      ordinalPosition int.

  - ### setOrdinalPosition

    public void setOrdinalPosition(int ordinalPosition)
    Method sets the ordinalPosition to the Index object as specified.
    Parameters:
      `ordinalPosition` - int

  - ### getColumn

    public SMColumn getColumn(String columnName)
    Returns the SMColumn object.
    Parameters:
      `columnName` - String.
    Returns:
      SMColumn

  - ### getColumns

    public Collection<SMColumn> getColumns()
    Returns the Collection of SMColumn objects.
    Returns:
      Collection

  - ### addColumn

    public void addColumn(SMColumn column)
    Adds the SMColumn as specified.
    Parameters:
      `column` - SMColumn Object

  - ### setColumns

    public void setColumns(List<SMColumn> columns)
    Adds the list of SMColumn objects as specified.
    Parameters:
      `columns` - List